Subject: Re: [midcom] I-D ACTION:draft-aoun-midcom-cops-01.txt

From: Martin Stiemerling <[email-masked]>
Date: Fri, 10 May 2002 17:08:11 +0200

Hello,

here are some comments to the cops-midcom comparison draft.
Here the issues:
a) Do you talk about COPS or COPS-PR? I assume COPS-PR.

b) Section 5.3, "2.1.1"
      -COPS does not meet the directionality part of the requirement.
    COPS was defined to allow a PEP to establish communication with a
    PDP. However, nothing precludes a PDP to establish communication
    with a PEP. The PEP could have local policies dictating what action
    to take when it is contacted by an unknown PDP. These actions,
    defined in the local policies, would ensure the proper establishment
    of an authorized association.

As far as I see, precludes the client/server principle of COPS* the PDP 
(server) to establish a connection to the PEP (client).
Another pratical point:
Imaging a middle box (the PEP), which has a lot of PDPs to serve. These 
PDPs don't have to be switched on all the time and so the middle box 
will be forced to poll whether a specific PDP is online or not. In my 
opinion the middle box must not poll any device.

c) Section 5, "2.1.3"

      -The COPS framework specifies that a PEP should have a unique PDP,
    this was specified in order to achieve effective policy control. A
    single middlebox may have multiple instances of PEPs, with each
    instance of PEP communicating to a specific PDP.  This can be used
    when applying COPS to a Midcom scenario.

Nice solution to have multiple instances of PEPs, but doesn't the 
requirement say "The Midcom protocol must allow a middlebox to 
communicate with more than one Midcom agent simultaneously."? COPS does 
*NOT* allow this, so I would suggest to move this point to section 5.3.

d) A minor point: The midcom framework document mentions in section 4, 
page 10, that "MIDCOM shall be a client-server protocol, initiated by 
the agent". In COPS* the initiator is the middlebox. However, it is only 
a "shall" requirement.

Regards
Martin

[email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
> 	Title		: COPS applicability as the MIDCOM protocol
> 	Author(s)	: C. Aoun et al.
> 	Filename	: draft-aoun-midcom-cops-01.txt
> 	Pages		: 12
> 	Date		: 22-Apr-02
> 	
> This draft discusses the applicability of the COPS protocol as the 
> MIDCOM protocol, in the context of the current protocol evaluations 
> within the MIDCOM working group. 
> It discusses the architectural similarities between COPS and Midcom 
> and how COPS meets most of the MIDCOM protocol requirements.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-aoun-midcom-cops-01.txt
> 
> To remove yourself from the IETF Announcement list, send a message to 
> ietf-announce-request with the word unsubscribe in the body of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-aoun-midcom-cops-01.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-aoun-midcom-cops-01.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 

-- 
Martin Stiemerling

NEC Europe Ltd. -- Network Laboratories  [email-masked]
IPv4: http://www.ccrle.nec.de  IPv6: http://www.ipv6.ccrle.nec.de

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom